package domain

type AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   删除活动是否成功     */
	Data *bool `json:"data,omitempty" `

	/*
	   删除活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult) SetMessage(v string) *AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult) SetData(v bool) *AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItemdiscountDeleteactivityMarketResult {
	s.Success = &v
	return s
}
